#ifndef PROTEIN_H
#define PROTEIN_H
#include <vector>
#include <utility>
#include <iostream>
#include <cstdio>
#include "atom.h"
class ChainProtein
{
    std::pair<Atom,Atom> Bond;
    std::vector<Atom> Atome;
    char chain_id;
    int atomeLourd;

public:
    ChainProtein();

    unsigned int getNbAtome();
    unsigned int getNbAtomeLourd();
    char getchainID();

    Atom& atomeAt(int i);

    void write(std::ostream &out);
    void process_line(const char *line);
    void process_coord(double x, double y, double z);

};

#endif // PROTEIN_H
