#ifndef CLUSTER_H
#define CLUSTER_H
#include <vector>
class Clustering;
#include "mypdbreader/model.h"
class Cluster
{
    std::vector<Model * > m_proteine;
    int id;
    double spread;
    Clustering *parent;

public:
    Cluster(int id,Clustering *parent);
    Cluster(const Cluster& var);

    int getid();
    double getSpread();
    unsigned int getnbProtein();

    void addProtein(Model* prot);
    Model * proteinAt(int i);

    void calculSpread();


};

#endif // CLUSTER_H
