#ifndef ENSEMBLE_CLUSTER_H
#define ENSEMBLE_CLUSTER_H

#include "cluster.h"

class Ensemble_Cluster
{
    std::vector<Cluster * > m_cluster;
    Clustering *parent;
    double averageSpread;
public:
    Ensemble_Cluster(Clustering *parent = NULL);
    Ensemble_Cluster& operator=(const Ensemble_Cluster& var);

    void addCluster(Cluster * var);
    double getDistance(Cluster * clu1,Cluster * clu2);

    void setparent(Clustering *parent);

    int getNbCluster();
    double getAverageSpread();


    void fusionnerClusterPlusProche(std::ofstream *debug = NULL);
    void calc_AverageSpread();

    void afficherText();
    void ecrireText(std::string fichier);
    void ecrireText(std::ofstream& flux);

    void afficherTab();
    void ecrireTab(std::string fichier);
    void ecrireTab(std::ofstream& flux);
};

#endif // ENSEMBLE_CLUSTER_H
