#include <iostream>
#include <cstdlib>
#include <string.h>
#include "clustering.h"
using namespace std;

int main(int argc, char* argv[])
{
    string pdbname;
    string fichierecritureresultat;
    int type_de_sortie = 0;
    bool debug = false;
    if(argc == 1)
    {
        cout << "./Clustering -f fichierpdb -s 1 -o fichiersortie"<< endl ;
        cout << "-f definie le fichier pdb d'entrer"<< endl ;
        cout << "-s type de sortie voulue 0 pour textuelle 1 pour tableau"<< endl ;
        cout << "-o Si se champ est definie le resultat sera ecrit dans se fichier"<< endl ;
        cout << "-d active le debug"<< endl ;
    }
    for(int i = 1; i < argc; i++)
    {
        string texte = argv[i];
        if(texte == "-f")
        {
            pdbname = argv[i+1];
            i++;
        }
        else if(texte == "-s")
        {
            type_de_sortie = atoi(argv[i+1]);
            i++;
        }
        else if(texte == "-o")
        {
            fichierecritureresultat = argv[i+1];
            i++;
        }
        else if(texte == "-d")
        {
            debug = true;
        }
    }
    if(pdbname.empty())
    {
        cerr << "Pas de fichier pdb donnéer"<< endl ;
        exit(-1);
    }
    reader * info = Clustering::getReaderfromPdbFile(pdbname.c_str());
    Clustering var(info, debug);

    if(fichierecritureresultat.empty())
    {
        if(type_de_sortie == 0)
        {
            var.printResultText();
        }
        else
        {
            var.printResultTab();
        }
    }
    else
    {
        if(type_de_sortie == 0)
        {
            var.printResultText(fichierecritureresultat);
        }
        else
        {
            var.printResultTab(fichierecritureresultat);
        }
    }
    return 0;
}

