#ifndef MODEL_H
#define MODEL_H
#include "chainprotein.h"
#include <vector>
#include <string>
class Model
{
    int id;
    int idinPDB;
    std::vector <ChainProtein> m_ChainProtein;
    std::vector <std::string> m_Extrat;
    bool cree_chain_proteine;
public:
    Model(int id = 0);

    unsigned int getNbChainProteine();
    unsigned int getnbAtomeofProteine();
    unsigned int getnbAtomeLourdofProteine();
    int getID();

    void setID(int id);

    ChainProtein& ChainAt(int i);
    Atom& Atomeat(unsigned int i);

    void processLineModel(const char *line);
    void processCoord(double x, double y,double z);

    void write(std::ostream &out);

};

#endif // MODEL_H
